RULEXDB_DISCARD_DICTIONARY(3)

NAME
rulexdb_discard_dictionary - remove specified dictionary dataset from a rulex database

SYNOPSIS
#include <rulexdb.h>

int rulexdb_discard_dictionary(RULEXDB *rulexdb, int item_type);

DESCRIPTION
The rulexdb_discard_dictionary() function removes all data from dictionary dataset specified by item_type argument that may accept one of the following values:

RULEXDB_LEXBASE
    Discard the Implicit dictionary.

RULEXDB_EXCEPTION
    Discard the Explicit dictionary.

Note that the data type must be specified explicitly. The value RULEXDB_DEFAULT is not allowed here.

The argument rulexdb references the database to deal with.

RETURN VALUE
The rulexdb_discard_dictionary() function returns number of deleted records or negative error code.

ERRORS

RULEXDB_FAILURE
    Referenced database has not been opened, internal data structures are corrupted or some other general failure has occurred.

RULEXDB_EPARM
    Invalid arguments are specified.

RULEXDB_EACCESS
    The database is not opened for updating.

SEE ALSO
rulexdb_classify(3), rulexdb_close(3), rulexdb_dataset_name(3), rulexdb_discard_ruleset(3), rulexdb_fetch_rule(3), rulexdb_lexbase(3), rulexdb_load_ruleset(3), rulexdb_open(3), rulexdb_remove_item(3), rulexdb_remove_rule(3), rulexdb_remove_this_item(3), rulexdb_retrieve_item(3), rulexdb_search(3), rulexdb_seq(3), rulexdb_subscribe_item(3), rulexdb_subscribe_rule(3)

AUTHOR
Igor B. Poretsky <poretsky@mlbox.ru>.